OpenLayers v4.0.1 API - Namespace: tilegrid

# Namespace: tilegrid

This documentation is for OpenLayers v4.0.1. The latest is v.

## olx.tilegrid

### Type Definitions

#### olx.tilegrid.TileGridOptions{Object}

  ##### Properties:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `extent` | ol.Extent | undefined | <optional> | Extent for the tile grid. No tiles outside this extent will be requested by `ol.source.Tile` sources. When no `origin` or `origins` are configured, the `origin` will be set to the top-left corner of the extent.
  `minZoom` | number | undefined | <optional> | Minimum zoom. Default is 0.
  `origin` | ol.Coordinate | undefined | <optional> | The tile grid origin, i.e. where the `x` and `y` axes meet (`[z, 0, 0]`). Tile coordinates increase left to right and upwards. If not specified, `extent` or `origins` must be provided.
  `origins` | Array.<ol.Coordinate> | undefined | <optional> | Tile grid origins, i.e. where the `x` and `y` axes meet (`[z, 0, 0]`), for each zoom level. If given, the array length should match the length of the `resolutions` array, i.e. each resolution can have a different origin. Tile coordinates increase left to right and upwards. If not specified, `extent` or `origin` must be provided.
  `resolutions` | Array.<number> |  | Resolutions. The array index of each resolution needs to match the zoom level. This means that even if a `minZoom` is configured, the resolutions array will have a length of `maxZoom + 1`. Required.
  `tileSize` | number | ol.Size | undefined | <optional> | Tile size. Default is `[256, 256]`.
  `tileSizes` | Array.<(number|ol.Size)> | undefined | <optional> | Tile sizes. If given, the array length should match the length of the `resolutions` array, i.e. each resolution can have a different tile size.

#### olx.tilegrid.WMTSOptions{Object}

  ##### Properties:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `extent` | ol.Extent | undefined | <optional> | Extent for the tile grid. No tiles outside this extent will be requested by `ol.source.Tile` sources. When no `origin` or `origins` are configured, the `origin` will be set to the top-left corner of the extent.
  `origin` | ol.Coordinate | undefined | <optional> | The tile grid origin, i.e. where the `x` and `y` axes meet (`[z, 0, 0]`). Tile coordinates increase left to right and upwards. If not specified, `extent` or `origins` must be provided.
  `origins` | Array.<ol.Coordinate> | undefined | <optional> | Tile grid origins, i.e. where the `x` and `y` axes meet (`[z, 0, 0]`), for each zoom level. If given, the array length should match the length of the `resolutions` array, i.e. each resolution can have a different origin. Tile coordinates increase left to right and upwards. If not specified, `extent` or `origin` must be provided.
  `resolutions` | Array.<number> |  | Resolutions. The array index of each resolution needs to match the zoom level. This means that even if a `minZoom` is configured, the resolutions array will have a length of `maxZoom + 1` Required.
  `matrixIds` | Array.<string> |  | matrix IDs. The length of this array needs to match the length of the `resolutions` array. Required.
  `sizes` | Array.<ol.Size> | undefined | <optional> | Number of tile rows and columns of the grid for each zoom level. The values here are the `TileMatrixWidth` and `TileMatrixHeight` advertised in the GetCapabilities response of the WMTS, and define the grid's extent together with the `origin`. An `extent` can be configured in addition, and will further limit the extent for which tile requests are made by sources. Note that when the top-left corner of the `extent` is used as `origin` or `origins`, then the `y` value must be negative because OpenLayers tile coordinates increase upwards.
  `tileSize` | number | ol.Size | undefined | <optional> | Tile size.
  `tileSizes` | Array.<(number|ol.Size)> | undefined | <optional> | Tile sizes. The length of this array needs to match the length of the `resolutions` array.
  `widths` | Array.<number> | undefined | <optional> | Number of tile columns that cover the grid's extent for each zoom level. Only required when used with a source that has `wrapX` set to `true`, and only when the grid's origin differs from the one of the projection's extent. The array length has to match the length of the `resolutions` array, i.e. each resolution will have a matching entry here.

#### olx.tilegrid.XYZOptions{Object}

  ##### Properties:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `extent` | ol.Extent | undefined | <optional> | Extent for the tile grid. The origin for an XYZ tile grid is the top-left corner of the extent. The zero level of the grid is defined by the resolution at which one tile fits in the provided extent. If not provided, the extent of the EPSG:3857 projection is used.
  `maxZoom` | number | undefined | <optional> | Maximum zoom. The default is `ol.DEFAULT_MAX_ZOOM`. This determines the number of levels in the grid set. For example, a `maxZoom` of 21 means there are 22 levels in the grid set.
  `minZoom` | number | undefined | <optional> | Minimum zoom. Default is 0.
  `tileSize` | number | ol.Size | undefined | <optional> | Tile size in pixels. Default is `[256, 256]`.